﻿Imports System
Imports System.Windows.Forms
Imports AddinExpress.MSO

'Add-in Express Outlook Folders Events Class
Public Class OutlookFoldersEvents
    Inherits AddinExpress.MSO.ADXOutlookFoldersEvents
 
    Public Sub New(ByVal ADXModule As AddinExpress.MSO.ADXAddinModule)
        MyBase.New(ADXModule)
 
    End Sub
 
    Public Overrides Sub ProcessFolderAdd(ByVal Folder As Object)
        AddinModule.CurrentInstance.RefreshFolderLists(Folder)
    End Sub
 
    Public Overrides Sub ProcessFolderChange(ByVal Folder As Object)
        AddinModule.CurrentInstance.RefreshFolderLists(Folder)
    End Sub
 
    Public Overrides Sub ProcessFolderRemove()
        If AddinModule.CurrentInstance.HostMajorVersion >= 14 Then
            AddinModule.CurrentInstance.LoadTaskFoldersToRibbonDropDown()
        Else
            AddinModule.CurrentInstance.LoadTaskFoldersToComboBox()
        End If
    End Sub
 
End Class

